Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

agentId
string<uuid>
required

Unique identifier of the agent

runId
string<uuid>
required

Unique identifier of the asynchronous run to check status for

Body

application/json

A follow-up message for an existing agent run

message
string
required

Markdown message for the agent

Minimum string length: 1
clientMessageId
string<uuid>

Your id for this message; a retried request with the same id is not sent twice

Response

Successful response

The message is queued; the run answers it once any running turn ends

runId
string<uuid>
required
messageId
string<uuid>
required

The clientMessageId the message was queued under

status
string
required
Allowed value: "queued"